export = ActErr;
declare function ActErr(methodName: any, id: any, message: any, error: any): void;
declare class ActErr {
    constructor(methodName: any, id: any, message: any, error: any);
    id: any;
    message: any;
    methodName: any;
    link: any;
}
declare namespace ActErr {
    const ParamNotFound: number;
    const BodyNotFound: number;
    const CallerAccountNotFound: number;
    const DataNotFound: number;
    const OperationFailed: number;
    const ApiServerError: number;
    const InvalidParam: number;
    const DBOperationFailed: number;
    const DBEntityNotFound: number;
    const ObjectAlreadyExists: number;
    const Unauthorized: number;
    const AnotherAccountExistsForIdentity: number;
    const NoValidOwner: number;
    const NoValidToken: number;
    const NoValidTokenForDelete: number;
    const ShippableYaml: number;
    const NoShippableYaml: number;
    const ShippableYamlAlreadyExists: number;
    const ShippableYamlMerge: number;
    const NotInitialized: number;
    const WebhookNotSupported: number;
    const EmptyRepository: number;
    const BuildError: number;
    const CantDeleteProjectRunningBuilds: number;
    const CantDeleteRunningBuild: number;
    const WebhookForExcludedBranch: number;
    const BuildAlreadyExists: number;
    const EmptyBuildMatrix: number;
    const ProviderAuthorizationFailed: number;
    const ProviderTokenInvalid: number;
    const ProviderUnavailable: number;
    const ProviderRateLimit: number;
    const CantAddWebhook: number;
    const MaxHosts: number;
    const CantCreateNodes: number;
    const MaxPrivateProjects: number;
    const NoCustomImages: number;
    const NoInitializedHost: number;
    const CantCreateMachineToken: number;
    const InternalServer: number;
    const CantDeletePlan: number;
    const UnavailableBitbucketSubscriptionGroups: number;
    const UnavailableBitbucketProjectGroupPrivileges: number;
    const JenkinsUnsupportedProjectType: number;
    const JenkinsUnsupportedSCM: number;
    const JenkinsBadCredentials: number;
    const NamespaceInUse: number;
    const NamespaceAlreadyExists: number;
    const DeployServiceNotFound: number;
    const DeployServiceStatusError: number;
}
