'use strict';
var self = Routes;
module.exports = self;
var async = require('async');
var util = require('util');
var _ = require('underscore');
function Routes(callback) {
    var bag = {};
    bag.who = 'system|Routes';
    logger.debug(bag.who, 'Starting');
    async.series([
        initRoutes.bind(null, bag)
    ], function (err) {
        logger.debug(bag.who, 'Completed');
        if (_.isFunction(callback))
            return callback(err);
    });
}
function initRoutes(bag, next) {
    var who = bag.who + '|' + initRoutes.name;
    logger.trace(who, 'Inside');
    app.use(authentication);
    function authentication(req, res) {
        return res.sendStatus(200);
    }
    return next();
}
//# sourceMappingURL=Routes.js.map